List Opportunity Calls

Retrieve all phone call records associated with an opportunity

Note: The /requests path is an alias for /opportunities and will continue to work until users are individually notified and migrated.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

opportunity_idintegerRequired
Opportunity identifier

Response

List of call records
idinteger
Call identifier
fromNumberstring
Phone number that initiated the call
toNumberstring
Phone number that received the call
isInboundboolean

Whether the call was inbound (true) or outbound (false)

createdAtstringformat: "date-time"
Creation timestamp
updatedAtstringformat: "date-time"
Last update timestamp
outcomeenum or nullOptional
Call outcome
startTimestring or nullOptionalformat: "date-time"
When the call started
endTimestring or nullOptionalformat: "date-time"
When the call ended
reasonenum or nullOptional
Reason for the call
dispositionenum or nullOptional
Call disposition
notestring or nullOptional
Notes about the call
recordingUrlstring or nullOptional
URL to the call recording
transcriptUrlstring or nullOptional
URL to the call transcript
missedCountinteger or nullOptional
Number of times the call was missed

Errors

401
Unauthorized Error
404
Not Found Error